Loading...
Searching...
No Matches
mzintegrationparams.cpp File Reference
`#include <map>`
`#include <cmath>`
`#include <QDebug>`
`#include <QString>`
`#include <QFile>`
`#include <QDateTime>`
`#include "../../utils.h"`
`#include "../../massspectrum/massspectrum.h"`
`#include "mzintegrationparams.h"`

Go to the source code of this file.

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Variables

int | mzIntegrationParamsMetaTypeId
int | mzIntegrationParamsPtrMetaTypeId
std::map< BinningType, QString > | pappso::binningTypeMap
| Map relating the BinningType to a textual representation.

## Variable Documentation

## mzIntegrationParamsMetaTypeId

int mzIntegrationParamsMetaTypeId

Initial value:
=
qRegisterMetaType<pappso::MzIntegrationParams>("pappso::MzIntegrationParams")

Definition at line 55 of file mzintegrationparams.cpp.

## mzIntegrationParamsPtrMetaTypeId

int mzIntegrationParamsPtrMetaTypeId

Initial value:
=
qRegisterMetaType<pappso::MzIntegrationParams *>(
"pappso::MzIntegrationParams *")

Definition at line 57 of file mzintegrationparams.cpp.